Package org.apache.ignite.internal.cache.query.index.sorted.inline

## Class IndexQueryContext

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.IndexQueryContext

    public class IndexQueryContext
    extends Object

### Constructor Summary

Constructors
`IndexQueryContext​(IndexingQueryFilter cacheFilter, BPlusTree.TreeRowClosure<IndexRow,​IndexRow> rowFilter)`
`IndexQueryContext​(IndexingQueryFilter cacheFilter, BPlusTree.TreeRowClosure<IndexRow,​IndexRow> rowFilter, BPlusTree.TreeRowFactory<IndexRow,​IndexRow> rowFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexingQueryFilter` `cacheFilter()`
`BPlusTree.TreeRowFactory<IndexRow,​IndexRow>` `rowFactory()`
`BPlusTree.TreeRowClosure<IndexRow,​IndexRow>` `rowFilter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexQueryContext

    public IndexQueryContext​(IndexingQueryFilter cacheFilter,
                             BPlusTree.TreeRowClosure<IndexRow,​IndexRow> rowFilter)

#### IndexQueryContext

    public IndexQueryContext​(IndexingQueryFilter cacheFilter,
                             BPlusTree.TreeRowClosure<IndexRow,​IndexRow> rowFilter,
                             BPlusTree.TreeRowFactory<IndexRow,​IndexRow> rowFactory)

### Method Detail

#### cacheFilter

    public IndexingQueryFilter cacheFilter()

Returns:
  Cache filter.

#### rowFilter

    public BPlusTree.TreeRowClosure<IndexRow,​IndexRow> rowFilter()

Returns:
  Index row filter.

#### rowFactory

    public BPlusTree.TreeRowFactory<IndexRow,​IndexRow> rowFactory()

Returns:
  Index row factory.